<!-- -------------------- ./mgmt/doslist_page_dsfr.html -------------------- -->
<?php if(count($this->DLIST)): ?>
<form class="os-table-wrapper__search">
    <div class="fr-grid-row fr-grid-row--gutters">
        <?php if ( @$this->NOTYPFILT != 1 ) : ?>
        <div class="fr-col fr-col-md-6 fr-col-lg-4">
            <div class="fr-input-group">
                <label for="searchSTS" class="fr-label">Trier par statut</label>
                <div class="fr-input-wrap">
                    <select id="searchSTS" class="fr-select" onchange="GlobalFilter()">
                        <option value="---">tous</option>
                        <!-- <option value="signall" <?php echo (@$this->SFILTR['FS']=="signall")?"selected":""; ?>>signature -- tous</option> -->
                        <option value="zign1" <?php echo (@$this->SFILTR['FS']=="zign1")?"selected":""; ?>>signature en
                            préparation</option>
                        <option value="zign2" <?php echo (@$this->SFILTR['FS']=="zign2")?"selected":""; ?>>signature en cours</option>
                        <option value="zign3" <?php echo (@$this->SFILTR['FS']=="zign3")?"selected":""; ?>>signature refusée</option>
                        <option value="zign4" <?php echo (@$this->SFILTR['FS']=="zign4")?"selected":""; ?>>signature effectuée</option>
                        <option value="zign5" <?php echo (@$this->SFILTR['FS']=="zign5")?"selected":""; ?>>signature partielle</option>
                    </select>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <div class="fr-col fr-col-md-6 fr-col-lg-4">
            <div class="fr-input-group">
                <label for="searchDoc" class="fr-label">Recherche de dossier</label>
        
                <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDoc" placeholder="chercher dossier" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FD']; ?>">
            </div>
        </div>
        <?php /* ?>
        <div class="col-auto">
            <div class="input-group input-group-sm mb-1">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
                </div>
                <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMod" placeholder="chercher date de modif" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FM']; ?>">
            </div>
        </div>
        <div class="col-auto">
            <div class="input-group input-group-sm mb-1">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
                </div>
                <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchEOL" placeholder="chercher date de fin" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FE']; ?>">
            </div>
        </div>
        <?php */ ?>
    </div>
</form>

<table id="dostable" class="table table-sm table-hover tablesorter">
    <thead>
        <tr class='thead'>
            <th width="10%">
                <div class="fr-checkbox-group fr-checkbox-group--sm">
                    <input id="masterCheck" type="checkbox" name="masterCheck" onclick="CheckOrUncheckAll('dostable')">
                    <label class="fr-label text-center" for="masterCheck">tout sélectionner</label>
                </div>
            </th>
            <th width="30%">&nbsp;nom</th>
            <th width="20%">&nbsp;statut</th>
            <th width="10%">&nbsp;nombre de signataires</th>
            <th width="10%" class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell">&nbsp;dernière modification</th>
            <th width="10%" class="d-none d-sm-none d-md-table-cell d-lg-table-cell d-xl-table-cell">&nbsp;fin de vie</th>
            <th width="10%" class="os-actions">actions</th>
        </tr>
    </thead>
    <tbody>
        <?php
include "tpl/func/disp_status.php";
foreach ($this->DLIST as $did => $pdata ) :
    $mode = $pdata['mode'];
    $elem = $pdata['data'];
    $stinf = GetStatusInfo($elem);
    ?>
        <tr class="datarow">
            <td>
                <div class="fr-checkbox-group fr-checkbox-group--sm">
                    <input type="checkbox" class="selchk" id="<?php echo $did; ?>" name="<?php echo $did; ?>">
                    <label class="fr-label" for="<?php echo $did; ?>">
                        <span class="hidden did">
                            <?php echo $did; ?>
                        </span>
                    </label>
                </div>
            </td>
            <td><span class="dnam"><a href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$did); ?>">
                        <?php echo $elem['title']; ?>
                    </a></span>
            </td>
            <td><span class="hidden dsts">
                    <?php echo $stinf['sts1']; ?>
                </span><i class="fas fa-<?php echo $stinf['sts2']; ?>"></i>&nbsp;&nbsp;<span class="txtstatus">
                    <?php echo $stinf['sts3']; ?>
                </span></td>
            <td class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell">
                <span class="dmod">
                    <?php echo $elem['signercount'] ?? 0; ?>
                </span>
            </td>
            <td class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell"><span class="dmod">
                    <?php echo $elem['modified']; ?>
                </span></td>
            <td class="d-none d-sm-none d-md-table-cell d-lg-table-cell d-xl-table-cell"><span class="deol">
                    <?php echo $elem['endoflife']; ?>
                </span></td>
            <td class="os-actions">
                <div>
                <?php /*
                    <a href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$did); ?>" 
                        class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-eye-line" 
                        title="Visualiser">
                        Visualiser
                    </a>
                    */ ?>
                    <button type="button"
                        class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-team-line view-signers-list"
                        data-fr-opened="false"
                        aria-controls="signers-list-modal"
                        title="Voir la liste des signataires"
                        onclick="ViewSignersList('<?php echo $did; ?>', `<?php echo $elem['title']; ?>`)">
                        Liste des signataires
                    </button>




                    <?php if ( $mode == 'writer' ): ?>
                    <button 
                        type="button"
                        class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-content" 
                        data-fr-opened="false" 
                        aria-controls="delete-modal" 
                        title="Supprimer" 
                        onclick="DeleteModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">
                        Supprimer
                    </button>
                    <?php endif; ?>
                </div>
            </td>
        </tr>
        <?php
endforeach;
?>

    </tbody>
</table>

<p class="fr-mt-3w fr-mb-n3v"><strong>Actions sur les dossiers sélectionnés :</strong></p>
<ul class="fr-btns-group fr-btns-group--inline-md fr-btns-group--icon-left fr-btns-group--sm fr-mt-3w fr-mb-n3w">
    <li>
        <!-- don't add aria-controls="signature-request-modal", modal opening is handled in SigReqMultiple() -->
        <button type="button" class="fr-btn fr-icon-draft-line" onclick="SigReqMultiple()">Faire signer</button>
    </li>
    <li>
        <!-- don't add aria-controls="multi-delete-modal", modal opening is handled in MultiDetachModal() -->
        <button type="button" class="fr-btn fr-fi-delete-line" onclick="MultiDeleteModal()">Supprimer</button>
    </li>
</ul>
<?php else: ?>
<div class="fr-alert fr-alert--info" role="alert">
    Vous n'avez aucun dossier en brouillon !
</div>
<?php endif; ?>
